////////////////////////////////////////////////////////////////////////////////////////
// a_fileop_filemove.js
// 
// Acceptance test
// 	 Checks if a known file can be moved to known directory ("Temporary")
//
// ~ XPInstall QA
//   October 12, 1999
//   March 9, 2000. David Epstein. Now uses File object and renamed API.
//   August 14, 2000. David Epstein. Changed append file method in getFolder().
//
//////////////////////////////////////////////////////////////////////////////////////////

jarSrc = "filemove.txt";

initInstall("Acceptance: a_fileop_filemove", "acceptance", "1.1.1.1", 0);
f = getFolder("Program");
g = getFolder("Temporary");
addFile("fileop_filemove", "2.2.2.2", jarSrc, f, jarSrc, true);
performOrCancel();

initInstall("The filemove part", "acceptance", "1.1.1.1", 0);
fileSource = getFolder(f, jarSrc);  	// append file to path
fileTarget = g;
err1 = File.move(fileSource, fileTarget);
logComment("Path to fileSource = " + fileSource);
logComment("Path to fileTarget = " + fileTarget);
logComment("File.move returns = " + err1);
performOrCancel();

function performOrCancel() 
{ 
   if (0 == getLastError())
      performInstall();			// do the install here.
   else
      cancelInstall();
}

